> For the complete documentation index, see [llms.txt](https://docs.luganodes.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.luganodes.com/apis/staking-apis-v2/sui/rewards.md).

# Rewards

## Rewards &#x20;

<mark style="color:green;">`POST`</mark> `/sui/rewards/daily?page={{`<mark style="color:orange;">`page`</mark>`}}?limit={{`<mark style="color:orange;">`limit`</mark>`}}`

Track historical rewards of a stake account on per epoch basis.

#### Header

| Name                                        | Type   | Description |
| ------------------------------------------- | ------ | ----------- |
| x-api-key<mark style="color:red;">\*</mark> | String | API key     |

#### Request Body

| Name                                                      | Type   | Description                                  |
| --------------------------------------------------------- | ------ | -------------------------------------------- |
| stake\_account\_address<mark style="color:red;">\*</mark> | String | Address of stake account (Delegator Address) |
| start\_date<mark style="color:red;">\*</mark>             | String | Start of date range (YYYY-MM-DD)             |
| end\_date<mark style="color:red;">\*</mark>               | String | End of date range (YYYY-MM-DD)               |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "rewards": [
        {
            "epochReward": 104045285435,
            "principal": "1506659480391677",
            "totalRewards": "208226541922",
            "date": "2025-01-01",
            "epoch": 630
        },
        {
            "epochReward": 104161073304,
            "principal": "1506659480391677",
            "totalRewards": "312387615226",
            "date": "2025-01-02",
            "epoch": 631
        },
        {
            "epochReward": 104131768377,
            "principal": "1506659480391677",
            "totalRewards": "416519383603",
            "date": "2025-01-03",
            "epoch": 632
        },
        {
            "epochReward": 104976598494,
            "principal": "1506659480391677",
            "totalRewards": "521495982097",
            "date": "2025-01-04",
            "epoch": 633
        },
        {
            "epochReward": 104744478405,
            "principal": "1506659480391677",
            "totalRewards": "626240460502",
            "date": "2025-01-05",
            "epoch": 634
        },
        {
            "epochReward": 104778355837,
            "principal": "1506659480391677",
            "totalRewards": "731018816339",
            "date": "2025-01-06",
            "epoch": 635
        },
        {
            "epochReward": 104842351572,
            "principal": "1506659480391677",
            "totalRewards": "835861167911",
            "date": "2025-01-07",
            "epoch": 636
        },
        {
            "epochReward": 105011074824,
            "principal": "1506659480391677",
            "totalRewards": "940872242735",
            "date": "2025-01-08",
            "epoch": 637
        },
        {
            "epochReward": 104974570037,
            "principal": "1506659480391677",
            "totalRewards": "1045846812772",
            "date": "2025-01-09",
            "epoch": 638
        },
        {
            "epochReward": 105493055170,
            "principal": "1506659480391677",
            "totalRewards": "1151339867942",
            "date": "2025-01-10",
            "epoch": 639
        }
    ],
    "pagination": {
        "currentPage": 1,
        "totalPages": 3,
        "totalRewards": 30,
        "hasNextPage": true,
        "hasPrevPage": false
    }
}
```

{% endtab %}

{% tab title="400: Bad Request" %}

```json
{
    "error": "stake_account_address, start_date, and end_date are required",
    "code": "VALIDATION_ERROR"
}
```

{% endtab %}

{% tab title="401: Unauthorized" %}

```json
{
    "error": "API key is required in x-api-key header",
    "code": "MISSING_API_KEY"
}
```

```json
{
    "error": "Invalid API key format",
    "code": "INVALID_API_KEY_FORMAT"
}
```

```json
{
    "error": "User account is not active",
    "code": "USER_INACTIVE"
}
```

```json
{
    "error": "Invalid API key format",
    "code": "INVALID_API_KEY_FORMAT"
}
```

dfafdas
{% endtab %}

{% tab title="403: Forbidden" %}

```json
{
    "error": "No access to {{chain_name}} chain",
    "code": "NO_CHAIN_ACCESS"
}
```

<pre class="language-json"><code class="lang-json"><strong>{  
</strong><strong>    "error": "No access to address {{address}} on {{chain_name}} chain",
</strong>    "code": "ADDRESS_ACCESS_DENIED"
}
</code></pre>

{% endtab %}
{% endtabs %}

#### Sample Request

```bash
curl --location '{{URL}}/sui/rewards/daily?page=1&limit=10' \
--header 'Content-Type: application/json' \
--data '{
  "stake_account_address": "0xefaefaesfsf.....",
  "start_date": "2025-01-01",
  "end_date": "2025-01-31"
}'
```

#### Rewards Response Object


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.luganodes.com/apis/staking-apis-v2/sui/rewards.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
